Subject: Re: httpd-2.0.52 (Apache2) testers wanted / maintainer searched
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Date: Mon, 01 Nov 2004 02:31:47 +0100

Gerrit P. Haase wrote:

> Gerrit P. Haase wrote:
> 
>> Max Bowsher wrote:
>>
>>>> Have it running now at my home box:
>>>
>>>
>>> Either the server is drastically overloaded, or those binaries aren't 
>>> working so well after all. I tried to download the binary package, 
>>> and it consistently fed only an 8K chunk before terminating the 
>>> connection.
>>
>>
>>
>> Yes, that was what I saw too as I tried to upload some packages via 
>> this apache to sourceware, I think it is a problem with MMAP, added 
>> this to httpd.conf now:
>>
>> EnableMMAP off
> 
> 
> And additionally added 'bz2 tbz' to
>  application/octet-stream    ... bz2 tbz
> in /etc/apache2/mime.types, else Apache still thinks it should send it
> as plain text and it looks like it behaves different then.

It seems to be antoher porblem, regardless the settings in httpd.conf 
and mime.types, if I fetch locally I have a different speed:

$ wget -c http://192.168.1.1/apache2/httpd-2.0.52-1.tar.bz2
--02:15:01--  http://192.168.1.1/apache2/httpd-2.0.52-1.tar.bz2
            => `httpd-2.0.52-1.tar.bz2'
Connecting to 192.168.1.1:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 2,536,595 [application/octet-stream]

100%[===========================>] 2,536,595     80.96K/s    ETA 00:00

02:15:32 (80.00 KB/s) - `httpd-2.0.52-1.tar.bz2' saved [2536595/2536595]

Maybe it is some kind of weird proxy mechanism at the side of my
DSL provider, since I got the package much faster (10 times) when
using my external IP.  Weird.

I'll also try to use another router, tomorrow.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/